import { Repository } from "typeorm";
import { Schedule } from "../../common/schedule/schedule.entity";
import { CreateScheduleDto, UpdateScheduleDto, UpdateStatusDto } from "./schedule.dto";
export declare class AdminScheduleSchedule {
    private readonly scheduleRepository;
    constructor(scheduleRepository: Repository<Schedule>);
    create(createScheduleDto: CreateScheduleDto): Promise<Schedule>;
    findAll(shopId: number): Promise<Schedule[]>;
    findOne(id: number): Promise<Schedule>;
    update(id: number, updateScheduleDto: UpdateScheduleDto): Promise<Schedule>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Schedule>;
}
